http-semantics-0.3.0: HTTP senmatics libarry

Safe Haskell | None
Language | Haskell2010

Network.HTTP.Semantics.Client.Internal

Synopsis

- newtype Request = Request OutObj
- newtype Response = Response InpObj
- data Aux = Aux {
  - auxPossibleClientStreams :: IO Int
  }

# Documentation

newtype Request Source #

Request from client.

Constructors

Request OutObj |

#### Instances

Instances details

Show Request Source # |
Instance details Defined in Network.HTTP.Semantics.Client.Internal Methods showsPrec :: Int -> Request -> ShowS Source # show :: Request -> String Source # showList :: [Request] -> ShowS Source #

newtype Response Source #

Response from server.

Constructors

Response InpObj |

#### Instances

Instances details

Show Response Source # |
Instance details Defined in Network.HTTP.Semantics.Client.Internal Methods showsPrec :: Int -> Response -> ShowS Source # show :: Response -> String Source # showList :: [Response] -> ShowS Source #

data Aux Source #

Additional information.

Constructors

Aux |

Fields

- auxPossibleClientStreams :: IO Int

  How many streams can be created without blocking.